// $Id: SystemOptions.h.cmake,v 1.1 2012/09/26 13:32:24 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file SystemOptions.h
  \brief system dependent options
  \author Hugo Pereira
  \version $Revision: 1.1 $
  \date $Date: 2012/09/26 13:32:24 $
*/

#include "XmlOptions.h"

//_____________________________________________________
//! system dependent options installer
void installSystemOptions( void )
{

  // set options default values
  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "BIBTEX_COMMAND", Option( "@BIBTEX@" , "BibTex command") );
  XmlOptions::get().set( "DVI_TO_PS", Option( "@DVIPS@" , "dvi to postscript convertor") );
  XmlOptions::get().set( "DVI_TO_PDF", Option( "@DVIPDF@" , "dvi to pdf convertor") );
  XmlOptions::get().set( "DVI_VIEWER", Option( "@XDVI@" , "dvi viewer") );
  XmlOptions::get().set( "LATEX_COMMAND", Option( "@LATEX@" , "LaTeX command") );
  XmlOptions::get().set( "PDF_LATEX", Option( "@PDFLATEX@" , "PdfLaTeX command") );
  XmlOptions::get().set( "PDF_VIEWER", Option( "@XPDF@" , "pdf viewer") );
  XmlOptions::get().set( "PS_TO_PDF", Option( "@PS2PDF@" , "postscript to pdf convertor") );
  XmlOptions::get().set( "PS_VIEWER", Option( "@GV@" , "postscript viewer") );
  XmlOptions::get().set( "SPELLCHECK", Option( "@QEDIT@ --autospell --filter tex - " , "spell checker") );
  XmlOptions::get().set( "TEXT_EDITOR", Option( "@QEDIT@" , "text editor") );
  XmlOptions::get().setAutoDefault( false );

};
